Subject: No woman can make a better wife than a Russian lady √ pick one here.

From: [email-masked]
Date: Wed, 10 Mar 2010 17:42:49 +0100

I can do for you is - what can not no girl! http://notion862.spaces.live.com